%define oname		cantarell-fonts
%define fontconf	31-cantarell.conf

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		abattis-%{oname}
Version:	0.0.25
Release:	%mkrel 1
Summary:	Cantarell, a Humanist sans-serif font family
Group:		System/Fonts/True type 
License:	OFL
URL:		http://abattis.org/cantarell/
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

#Obsolete wrongly imported duplicate pkg
Obsoletes:	%{oname}

%description
Cantarell is a set of fonts designed by Dave Crossland. It is a 
sans-serif humanist typeface family.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p otf/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -Dpm 0644 fontconfig/%{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.otf
%doc COPYING NEWS README


%changelog
* Mon Aug 22 2016 ovitters <ovitters> 0.0.25-1.mga6
+ Revision: 1047875
- new version 0.0.25

* Mon Feb 29 2016 ovitters <ovitters> 0.0.24-1.mga6
+ Revision: 980887
- new version 0.0.24

* Mon Feb 22 2016 ovitters <ovitters> 0.0.23-1.mga6
+ Revision: 976096
- new version 0.0.23

* Tue Feb 16 2016 ovitters <ovitters> 0.0.22-1.mga6
+ Revision: 962684
- new version 0.0.22

* Fri Jan 15 2016 ovitters <ovitters> 0.0.21-1.mga6
+ Revision: 923246
- new version 0.0.21

* Thu Jan 07 2016 ovitters <ovitters> 0.0.20.1-1.mga6
+ Revision: 920336
- new version 0.0.20.1

* Mon Jan 04 2016 ovitters <ovitters> 0.0.20-1.mga6
+ Revision: 919508
- new version 0.0.20

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.0.19-1.mga6
+ Revision: 918429
- fix build procedure

  + ovitters <ovitters>
    - new version 0.0.19
    - new version 0.0.18.1
    - new version 0.0.18

* Mon Oct 12 2015 ovitters <ovitters> 0.0.17.2-1.mga6
+ Revision: 889928
- new version 0.0.17.2

* Mon Oct 12 2015 ovitters <ovitters> 0.0.17.1-1.mga6
+ Revision: 889914
- new version 0.0.17.1

* Thu Oct 08 2015 ovitters <ovitters> 0.0.17-1.mga6
+ Revision: 887887
- new version 0.0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.0.16-3.mga5
+ Revision: 741698
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.16-2.mga5
+ Revision: 725923
- rebuild for missing pythoneggs deps

* Tue Sep 23 2014 ovitters <ovitters> 0.0.16-1.mga5
+ Revision: 721238
- new version 0.0.16

* Tue Sep 16 2014 umeabot <umeabot> 0.0.15-4.mga5
+ Revision: 677671
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - remove clean section

* Sat Nov 02 2013 tv <tv> 0.0.15-3.mga4
+ Revision: 549203
- rebuild with fixed fontpackages-devel (w/o scriptlets)

* Sat Oct 19 2013 umeabot <umeabot> 0.0.15-2.mga4
+ Revision: 536588
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 0.0.15-1.mga4
+ Revision: 484812
- new version 0.0.15

* Fri Aug 23 2013 ovitters <ovitters> 0.0.14-1.mga4
+ Revision: 470232
- new version 0.0.14

* Tue Jun 18 2013 ovitters <ovitters> 0.0.13-1.mga4
+ Revision: 444699
- new version 0.0.13

* Fri Jan 11 2013 umeabot <umeabot> 0.0.12-2.mga3
+ Revision: 345168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 ovitters <ovitters> 0.0.12-1.mga3
+ Revision: 333373
- new version 0.0.12

* Thu Nov 15 2012 ovitters <ovitters> 0.0.11-1.mga3
+ Revision: 318272
- new version 0.0.11

* Sun Oct 28 2012 dmorgan <dmorgan> 0.0.10.1-2.mga3
+ Revision: 311166
- Java Stack Mass Rebuild

* Tue Sep 25 2012 ovitters <ovitters> 0.0.10.1-1.mga3
+ Revision: 297581
- new version 0.0.10.1

* Fri Sep 14 2012 ovitters <ovitters> 0.0.10-1.mga3
+ Revision: 293838
- new version 0.0.10

* Mon Jun 11 2012 ovitters <ovitters> 0.0.9-1.mga3
+ Revision: 259657
- drop patch 0 (merged upstream)
- new version 0.0.9

* Sun Apr 22 2012 mitya <mitya> 0.0.8-2.mga2
+ Revision: 232498
- Cyrillic support

* Tue Mar 27 2012 ovitters <ovitters> 0.0.8-1.mga2
+ Revision: 227016
- new version 0.0.8

* Tue Oct 18 2011 wally <wally> 0.0.7-1.mga2
+ Revision: 156380
- new version 0.0.7
- clean .spec a bit

* Wed Jun 15 2011 dmorgan <dmorgan> 0.0.6-1.mga2
+ Revision: 106419
- New version 0.0.6

* Sun Mar 13 2011 dmorgan <dmorgan> 0.0.3-1.mga1
+ Revision: 70838
- imported package abattis-cantarell-fonts

